---
title: "Calendar and Contact Sync"
icon: material/calendar-account
---
Calendars and contacts contain some of your most sensitive data; use products that implement E2EE at rest to prevent a provider from reading them.

## Tutanota

!!! recommendation

    ![Tutanota logo](assets/img/calendar-contacts/tutanota.svg#only-light){ align=right }
    ![Tutanota logo](assets/img/calendar-contacts/tutanota-dark.svg#only-dark){ align=right }

    **Tutanota** offers a free and encrypted calendar across their supported platforms. Features include: automatic E2EE of all data, sharing features, import/export functionality, multi-factor authentication, and [more](https://tutanota.com/calendar-app-comparison/).

    Multiple calendars and extended sharing functionality is limited to paid subscribers.

    [:octicons-home-16: Homepage](https://tutanota.com/calendar){ .md-button .md-button--primary }
    [:octicons-eye-16:](https://tutanota.com/privacy){ .card-link title="Privacy Policy" }
    [:octicons-info-16:](https://tutanota.com/faq){ .card-link title=Documentation}
    [:octicons-code-16:](https://github.com/tutao/tutanota){ .card-link title="Source Code" }
    [:octicons-heart-16:](https://tutanota.com/community/){ .card-link title=Contribute }

    ??? downloads

        - [:simple-googleplay: Google Play](https://play.google.com/store/apps/details?id=de.tutao.tutanota)
        - [:simple-appstore: App Store](https://apps.apple.com/us/app/tutanota/id922429609)
        - [:simple-windows11: Windows](https://tutanota.com/blog/posts/desktop-clients/)
        - [:simple-apple: macOS](https://tutanota.com/blog/posts/desktop-clients/)
        - [:simple-linux: Linux](https://tutanota.com/blog/posts/desktop-clients/)
        - [:simple-flathub: Flathub](https://flathub.org/apps/details/com.tutanota.Tutanota)
        - [:octicons-browser-16: Web](https://mail.tutanota.com/)

## Proton Calendar

!!! recommendation

    ![Proton](assets/img/calendar-contacts/proton-calendar.svg){ align=right }

    **Proton Calendar** is an encrypted calendar service available to Proton members via web or mobile clients. Features include: automatic E2EE of all data, sharing features, import/export functionality, and [more](https://proton.me/support/proton-calendar-guide). Those on the free tier get access to a single calendar, whereas paid subscribers can create up to 20 calendars. Extended sharing functionality is also limited to paid subscribers.

    **Proton Mail** can be used to synchronize contacts. Likewise, the service is currently only available via the web and mobile clients.

    [:octicons-home-16: Homepage](https://proton.me/calendar){ .md-button .md-button--primary }
    [:octicons-eye-16:](https://proton.me/legal/privacy){ .card-link title="Privacy Policy" }
    [:octicons-info-16:](https://proton.me/support/proton-calendar-guide){ .card-link title=Documentation}
    [:octicons-code-16:](https://github.com/ProtonMail/WebClients){ .card-link title="Source Code" }

    ??? downloads

        - [:simple-googleplay: Google Play](https://play.google.com/store/apps/details?id=me.proton.android.calendar)
        - [:octicons-browser-16: Web](https://calendar.proton.me)

!!! warning
    Proton [does not](https://proton.me/support/proton-contacts#verify) use E2EE for your contact names and email addresses.
